additionalProperties:
  formFields:
    - default: 12115
      edit: true
      envKey: PANEL_APP_PORT_HTTP
      labelEn: Access Port
      labelZh: 访问端口
      required: true
      rule: paramPort
      type: number
      label:
        en: Access Port
        ja: アクセスポート
        ms: Port Akses
        pt-br: Porta de Acesso
        ru: Порт доступа
        ko: 액세스 포트
        zh-Hant: 存取埠
        zh: 访问端口
    - default: ""
      envKey: PANEL_DB_HOST
      key: postgresql
      labelEn: PostgreSQL Database Service
      labelZh: PostgreSQL 数据库服务
      required: true
      type: service
      label:
        en: PostgreSQL Database Service
        ja: PostgreSQL データベースサービス
        ms: Perkhidmatan Pangkalan Data PostgreSQL
        pt-br: Serviço de Banco de Dados PostgreSQL
        ru: Сервис базы данных PostgreSQL
        ko: PostgreSQL 데이터베이스 서비스
        zh-Hant: PostgreSQL 資料庫服務
        zh: PostgreSQL 数据库服务
    - default: outline_db
      envKey: PANEL_DB_NAME
      labelEn: Database
      labelZh: 数据库名
      random: true
      required: true
      rule: paramCommon
      type: text
      label:
        en: Database Name
        ja: データベース名
        ms: Nama Pangkalan Data
        pt-br: Nome do Banco de Dados
        ru: Имя базы данных
        ko: 데이터베이스 이름
        zh-Hant: 資料庫名稱
        zh: 数据库名
    - default: user_outline
      envKey: PANEL_DB_USER
      labelEn: Database User
      labelZh: 数据库用户
      random: true
      required: true
      rule: paramCommon
      type: text
      label:
        en: Database User
        ja: データベースユーザー
        ms: Pengguna Pangkalan Data
        pt-br: Usuário do Banco de Dados
        ru: Пользователь базы данных
        ko: 데이터베이스 사용자
        zh-Hant: 資料庫使用者
        zh: 数据库用户
    - default: passwd_rDV5Yv7Js
      envKey: PANEL_DB_USER_PASSWORD
      labelEn: Database Password
      labelZh: 数据库用户密码
      random: true
      required: true
      type: password
      label:
        en: Database Password
        ja: データベースパスワード
        ms: Kata Laluan Pangkalan Data
        pt-br: Senha do Banco de Dados
        ru: Пароль базы данных
        ko: 데이터베이스 비밀번호
        zh-Hant: 資料庫密碼
        zh: 数据库用户密码
    - default: ""
      envKey: PANEL_REDIS_HOST
      key: redis
      labelEn: Redis Service
      labelZh: redis 服务
      required: true
      type: service
      label:
        en: Redis Service
        ja: Redis サービス
        ms: Perkhidmatan Redis
        pt-br: Serviço Redis
        ru: Сервис Redis
        ko: Redis 서비스
        zh-Hant: Redis 服務
        zh: redis 服务
    - default: ""
      disabled: true
      envKey: PANEL_REDIS_ROOT_PASSWORD
      labelEn: Redis Password
      labelZh: redis 密码
      type: text
      label:
        en: Redis Password
        ja: Redis パスワード
        ms: Kata Laluan Redis
        pt-br: Senha Redis
        ru: Пароль Redis
        ko: Redis 비밀번호
        zh-Hant: Redis 密碼
        zh: redis 密码
    - default: ""
      edit: true
      envKey: GITHUB_OAUTH_CLIENT_ID
      labelEn: GitHub OAuth Client ID
      labelZh: GitHub OAuth 客户端 ID
      required: true
      type: text
      label:
        en: GitHub OAuth Client ID
        ja: GitHub OAuth クライアントID
        ms: ID Klien OAuth GitHub
        pt-br: ID do Cliente OAuth do GitHub
        ru: OAuth Client ID GitHub
        ko: GitHub OAuth 클라이언트 ID
        zh-Hant: GitHub OAuth 用戶端 ID
        zh: GitHub OAuth 客户端 ID
    - default: ""
      edit: true
      envKey: GITHUB_OAUTH_SECRET
      labelEn: GitHub OAuth SECRET
      labelZh: GitHub OAuth 密钥
      required: true
      type: text
      label:
        en: GitHub OAuth SECRET
        ja: GitHub OAuth シークレット
        ms: Rahsia OAuth GitHub
        pt-br: Segredo OAuth do GitHub
        ru: OAuth SECRET GitHub
        ko: GitHub OAuth 시크릿
        zh-Hant: GitHub OAuth 密鑰
        zh: GitHub OAuth 密钥
    - default: smtp.mailgun.org
      edit: true
      envKey: PANEL_SMTP_HOST
      labelEn: SMTP Server (Optional)
      labelZh: SMTP 服务器（可选）
      required: false
      type: text
      label:
        en: SMTP Server (Optional)
        ja: SMTPサーバー（オプション）
        ms: Pelayan SMTP (Pilihan)
        pt-br: Servidor SMTP (Opcional)
        ru: SMTP сервер (необязательно)
        ko: SMTP 서버(선택 사항)
        zh-Hant: SMTP 伺服器（可選）
        zh: SMTP 服务器（可选）
    - default: 465
      edit: true
      envKey: PANEL_SMTP_PORT
      labelEn: SMTP Server Port (Optional)
      labelZh: SMTP 服务器端口（可选）
      required: false
      rule: paramPort
      type: number
      label:
        en: SMTP Server Port (Optional)
        ja: SMTPサーバーポート（オプション）
        ms: Port Pelayan SMTP (Pilihan)
        pt-br: Porta do Servidor SMTP (Opcional)
        ru: Порт SMTP сервера (необязательно)
        ko: SMTP 서버 포트(선택 사항)
        zh-Hant: SMTP 伺服器埠（可選）
        zh: SMTP 服务器端口（可选）
    - default: example@mail.com
      edit: true
      envKey: PANEL_SMTP_USERNAME
      labelEn: SMTP mail Username (Optional)
      labelZh: SMTP 邮箱用户名（可选）
      required: false
      type: text
      label:
        en: SMTP mail Username (Optional)
        ja: SMTPメールユーザー名（オプション）
        ms: Nama Pengguna Mel SMTP (Pilihan)
        pt-br: Nome de Usuário SMTP (Opcional)
        ru: Имя пользователя SMTP (необязательно)
        ko: SMTP 메일 사용자 이름(선택 사항)
        zh-Hant: SMTP 郵箱用戶名（可選）
        zh: SMTP 邮箱用户名（可选）
    - default: ""
      edit: true
      envKey: PANEL_SMTP_PASSWORD
      labelEn: SMTP mail password (Optional)
      labelZh: SMTP 邮箱密码（可选）
      required: false
      type: text
      label:
        en: SMTP mail password (Optional)
        ja: SMTPメールパスワード（オプション）
        ms: Kata Laluan Mel SMTP (Pilihan)
        pt-br: Senha de E-mail SMTP (Opcional)
        ru: Пароль SMTP (необязательно)
        ko: SMTP 메일 비밀번호(선택 사항)
        zh-Hant: SMTP 郵箱密碼（可選）
        zh: SMTP 邮箱密码（可选）
    - default: example@mail.com
      edit: true
      envKey: PANEL_SMTP_FROM_EMAIL
      labelEn: SMTP mail Receiver Email (Optional)
      labelZh: SMTP 信息接收邮箱（用户邮件接收邮箱）（可选）
      required: false
      type: text
      label:
        en: SMTP mail Receiver Email (Optional)
        ja: SMTPメール受信者メールアドレス（オプション）
        ms: E-mel Penerima Mel SMTP (Pilihan)
        pt-br: E-mail do Destinatário SMTP (Opcional)
        ru: Email получателя SMTP (необязательно)
        ko: SMTP 메일 수신 이메일(선택 사항)
        zh-Hant: SMTP 郵件接收信箱（可選）
        zh: SMTP 信息接收邮箱（用户邮件接收邮箱）（可选）
    - default: zh_CN
      edit: true
      envKey: PANEL_LANGUAGE
      labelEn: Language
      labelZh: 语言
      required: true
      type: text
      label:
        en: Language
        ja: 言語
        ms: Bahasa
        pt-br: Idioma
        ru: Язык
        ko: 언어
        zh-Hant: 語言
        zh: 语言
    - default: ""
      edit: true
      envKey: PANEL_APP_URL
      labelEn: Reverse Proxy Domain (If no domain, you can fill in http://<ip_address>:12115)
      labelZh: 反向代理域名（如果没有域名则可以填写 http://<ip地址>:12115）
      required: true
      rule: paramHttp
      type: text
      label:
        en: Reverse Proxy Domain (If no domain, you can fill in http://<ip_address>:12115)
        ja: リバースプロキシドメイン（ドメインがない場合は http://<ipアドレス>:12115 を入力できます）
        ms: Domain Proksi Balik (Jika tiada domain, boleh isi http://<ip_address>:12115)
        pt-br: Domínio de Proxy Reverso (Se não houver domínio, você pode preencher http://<ip_address>:12115)
        ru: Домен обратного прокси (если нет домена, можно указать http://<ip_address>:12115)
        ko: 리버스 프록시 도메인(도메인이 없으면 http://<ip_address>:12115 입력 가능)
        zh-Hant: 反向代理域名（如無域名可填 http://<ip地址>:12115）
        zh: 反向代理域名（如果没有域名则可以填写 http://<ip地址>:12115）
